"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jovo_framework_1 = require("jovo-framework");
const jovo_platform_lindenbaum_1 = require("jovo-platform-lindenbaum");
const jovo_nlu_nlpjs_1 = require("jovo-nlu-nlpjs");
const jovo_plugin_debugger_1 = require("jovo-plugin-debugger");
const jovo_db_filedb_1 = require("jovo-db-filedb");
// ------------------------------------------------------------------
// APP INITIALIZATION
// ------------------------------------------------------------------
const app = new jovo_framework_1.App();
exports.app = app;
const lindenbaum = new jovo_platform_lindenbaum_1.Lindenbaum();
lindenbaum.use(new jovo_nlu_nlpjs_1.NlpjsNlu({
    languages: ['de', 'en'],
}));
app.use(lindenbaum, new jovo_plugin_debugger_1.JovoDebugger(), new jovo_db_filedb_1.FileDb());
// ------------------------------------------------------------------
// APP LOGIC
// ------------------------------------------------------------------
app.setHandler({
    LAUNCH() {
        return this.toIntent('HelloWorldIntent');
    },
    HelloWorldIntent() {
        this.ask('Hello World! What\'s your name?');
    },
    MyNameIsIntent() {
        this.tell('Hey ' + this.$inputs.name.value + ', nice to meet you!');
    },
});
//# sourceMappingURL=app.js.map