"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jovo_framework_1 = require("jovo-framework");
const jovo_platform_lindenbaum_1 = require("jovo-platform-lindenbaum");
const app_1 = require("./app");
// ------------------------------------------------------------------
// HOST CONFIGURATION
// ------------------------------------------------------------------
jovo_framework_1.Webhook.use(jovo_platform_lindenbaum_1.expressJsMiddleware(app_1.app));
// ExpressJS (Jovo Webhook)
if (process.argv.indexOf('--webhook') > -1) {
    const port = process.env.JOVO_PORT || 3000;
    jovo_framework_1.Webhook.jovoApp = app_1.app;
    jovo_framework_1.Webhook.listen(port, () => {
        console.info(`Local server listening on port ${port}.`);
    });
    jovo_framework_1.Webhook.post('/webhook', async (req, res) => {
        console.log('/webhook');
        await app_1.app.handle(new jovo_framework_1.ExpressJS(req, res));
    });
}
// AWS Lambda
exports.handler = async (event, context, callback) => {
    await app_1.app.handle(new jovo_framework_1.Lambda(event, context, callback));
};
//# sourceMappingURL=index.js.map